%dj - массив, состоящий из столбца дат и столбцов значений 
% min_d - начало отсчета
% max_d - конец отсчета
%nom_stolb - номер столбца
% пример: dwvar_norm(data,1,500,2)

function [dataw] = dwvar_norm(dj,min_d,max_d,nom_stolb)
%UNTITLED1 Summary of this function goes here
%  Detailed explanation goes here
data1=dj(min_d:max_d,2);

[rw,cw]=size(data1);
for ii=1:rw
    data(ii,1)=(data1(ii,1)-mean(data1(:,1)))/std(data1(:,1));    
end

win=256;
[wr,wc]=size(data);
zz1(1:1000)=data(1);
zz1=zz1';
zz2(1:1000)=data(wr);
zz2=zz2';
zz=[zz1;data;zz2];
coefs = cwt(zz,1:256,'gaus8');
coefs=coefs(:,1001:(1000+wr));
dataw.ss=wvar_norm(coefs,win,2);
dataw.ss2=data1;
dataw.ss3=coefs;
dataw.ss1=wvar_norm(coefs,win,3);
dataw.ss4=wvar_norm(coefs,win,4);
dataw.ss5=wvar_norm(coefs,win,5);
dataw.ss6=dj(min_d:max_d,1);
dataw.ss7=win;
%load chirp;
%y1 = y; Fs1 = Fs;
%load gong;
%wavplay(y1,Fs1,'sync') 
%wavplay(y,Fs)